Bug 581484

Summary: KMS:RS780M:Mobility Radeon HD 3200 System hangs
Product: [Fedora] Fedora Reporter: Marcus Moeller <marcus.moeller>
Component: kernelAssignee: Dave Airlie <airlied>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: anton, cfunke, dougsland, fedora, gansalmon, itamar, jonathan, kernel-maint, raud, rstrode, sebastian, thomasj, vedran
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-20 01:47:32 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Marcus Moeller 2010-04-12 08:00:59 EDT
Description of problem:

I have installed both F12 and F13 (alpha) on my Lenovo X100e with an ATI RS780M/RS780MN video card.

System hangs during boot, directly after switching to KMS . Removing quiet boot parameter shows up the following error message:

Firmware Bug ACPI brightness control misses _BQC function.

Setting radeon.modeset=0 solves the problem.

Best Regards
Marcus
Comment 1 Christian Funke 2010-05-22 16:34:54 EDT
I can confirm this bug on my X100e. As a side note the system boots every 10-15th time it try to boot with kms enabled. Using radeon.modeset=0 always boots fine, albeit this leeds to problems woth KDE if I enable desktop effects.
Comment 2 Vedran Miletić 2010-05-24 15:52:18 EDT
Improving summary.

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

[This triage is part of collective effort done by students of University of
Rijeka Department of Informatics.]
Comment 3 Christian Funke 2010-05-25 03:42:13 EDT
Just as additional information, if I manage to boot with KMS enabled the message "[Firmware Bug] ACPI brightness control misses _BQC function" is also present, so it seems that at random times the system continues, though I have not a found a way to discern when this will happen.

Furtheron I noticed that after a hang the display brightness is set to maximum, independent of its previous setting, so it seems to me that really this brightness detection/setting ist causing this hang
Comment 4 Sebastian Dziallas 2010-12-20 01:47:32 EST
This one seems to work for me now (finally) in F14 with the following kernel version:

[sebastian@bear ~]$ uname -r
2.6.35.9-64.fc14.i686

Closing. Feel free to reopen if it still affects others. :)